/** 是否为内置云函数 */
export declare function isBuiltinMethod(name: string): boolean;
/**
 * 标准化内置云函数名称
 */
export declare function normalizeBuiltinMethodName(name: string): string;
interface ICheckAuth {
    methodName: string;
    envType: 'prod' | 'pre';
    dataSourceName: string;
}
export declare function checkAuthOfMethod(params: ICheckAuth): Promise<any>;
interface ICallBuiltinMethod {
    /** 方法名称 */
    methodName: string;
    /** 视图ID */
    viewId?: string;
    /** 环境类型 */
    envType: ICheckAuth['envType'];
    /** 数据源名称 */
    dataSourceName: string;
    /** 参数 */
    params?: any;
}
export declare function callBuiltinMethod(params: ICallBuiltinMethod): Promise<any>;
export {};
